Package org.mariadb.jdbc.plugin.authentication.addon

# Class ClearPasswordPlugin

java.lang.Object
org.mariadb.jdbc.plugin.authentication.addon.ClearPasswordPlugin

All Implemented Interfaces:
  `AuthenticationPlugin`

public class ClearPasswordPlugin extends Object implements AuthenticationPlugin
Clear password plugin.

## Constructor Summary

Constructors
Constructor
Description
`ClearPasswordPlugin(String authenticationData)`
Initialization.

## Method Summary

Modifier and Type
Method
Description
`org.mariadb.jdbc.client.ReadableByteBuf`
`process(Writer out, Reader in, org.mariadb.jdbc.client.Context context)`
Send password in clear text to server.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.mariadb.jdbc.plugin.AuthenticationPlugin

`hash, isMitMProof`

## Constructor Details

### ClearPasswordPlugin

public ClearPasswordPlugin(String authenticationData)
Initialization.

Parameters:
  `authenticationData` - authentication data (password/token)

## Method Details

### process

public org.mariadb.jdbc.client.ReadableByteBuf process(Writer out, Reader in, org.mariadb.jdbc.client.Context context) throws IOException
Send password in clear text to server.

Specified by:
  `process` in interface `AuthenticationPlugin`
Parameters:
  `out` - out stream
  `in` - in stream
  `context` - context
Returns:
  response packet
Throws:
  `IOException` - if socket error